Bug 246060 - [NEW PORT] games/libretro-play: Play! - PlayStation 2 Emulator
Summary: [NEW PORT] games/libretro-play: Play! - PlayStation 2 Emulator
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Loïc Bartoletti
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-30 14:49 UTC by rozhuk.im
Modified: 2020-11-18 12:18 UTC (History)
4 users (show)

See Also:


Attachments
patch (4.38 KB, patch)
2020-04-30 14:49 UTC, rozhuk.im
no flags Details | Diff
patch (4.33 KB, patch)
2020-05-12 08:05 UTC, rozhuk.im
no flags Details | Diff
patch (4.40 KB, patch)
2020-05-22 16:54 UTC, rozhuk.im
no flags Details | Diff
patch 0.33 (4.43 KB, patch)
2020-10-22 22:37 UTC, rozhuk.im
rozhuk.im: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2020-04-30 14:49:50 UTC
Created attachment 213956 [details]
patch

Play! is a PlayStation 2 emulator for Windows, macOS, UNIX,
Android & iOS platforms.


WWW: https://purei.org/
Comment 1 Tobias C. Berner freebsd_committer 2020-04-30 18:30:34 UTC
Moin moin 

Instead of passing cmake bools to CMAKE_ARGS with 
   		-DBUILD_PLAY:BOOL=OFF 

I would suggest to use CMAKE_ON and CMAKE_OFF

e.g. 

CMAKE_OFF=BUILD_PLAY


mfg Tobias
Comment 2 rozhuk.im 2020-05-12 08:05:29 UTC
Created attachment 214404 [details]
patch
Comment 3 Loïc Bartoletti freebsd_committer 2020-05-22 06:28:04 UTC
For information, there is an issue on i386 arch. https://github.com/jpd002/Play-/issues/906
Comment 4 rozhuk.im 2020-05-22 10:02:40 UTC
(In reply to Loïc Bartoletti from comment #3)

Thanks!
I check only on AMD64.
Will update path after close https://github.com/jpd002/Play-/issues/906

There is other issues, like: https://github.com/jpd002/Play-/issues/447
Looks like Play! does not work with at least some OpenGL games :(
Comment 5 rozhuk.im 2020-05-22 10:17:21 UTC
There is list of games: https://github.com/jpd002/Play-Compatibility/issues
Comment 6 rozhuk.im 2020-05-22 16:54:42 UTC
Created attachment 214761 [details]
patch

Update to latest master with i386 build fix.
Add URL to pkg-descr: Game capability tracker: https://github.com/jpd002/Play-Compatibility/issues
Comment 7 Loïc Bartoletti freebsd_committer 2020-05-27 08:45:45 UTC
Thanks.
Can you convert your post-patch part to files patch, please?
Comment 8 rozhuk.im 2020-05-27 22:11:56 UTC
(In reply to Loïc Bartoletti from comment #7)

I prefer to leave "sed" patches - they does not requires re-make patch on every small change in sources.
IMHO patch files required in cases where sed can not be used: many lines of code added/deleted/changed.
Comment 9 Daniel Menelkir 2020-10-17 08:56:04 UTC
No progress on this?
Comment 10 Loïc Bartoletti freebsd_committer 2020-10-22 16:23:25 UTC
(In reply to rozhuk.im from comment #8)

Unfortunately, this does not respect the rule (4.4.3 https://www.freebsd.org/doc/en/books/porters-handbook/book.html#slow-patch) where sed should only be used to replace variables.

The great advantage of having patch files is: you will notice, when they stop applying.
Comment 11 rozhuk.im 2020-10-22 22:37:37 UTC
Created attachment 218989 [details]
patch 0.33
Comment 12 rozhuk.im 2020-10-22 22:52:48 UTC
(In reply to Daniel Menelkir from comment #9)

I forgot about this, mostly because it disappoint me: I want to play need for speed but it does not work, like many others OpenGL games.
Comment 13 rozhuk.im 2020-10-22 23:05:15 UTC
(In reply to Loïc Bartoletti from comment #10)

This is not rule, it is recommendations.
4.4.3 - chapter number.

Current version make simple changes in make files, if something goes wrong - it will fail to build.
I agree that using sed in most cases is bad idea for source files.
Comment 14 Daniel Menelkir 2020-10-23 08:34:00 UTC
(In reply to rozhuk.im from comment #12)

Did you try porting PCSX2 instead? I heard they finally adapting the code to 64bit, but I didn't tried yet.
Comment 15 rozhuk.im 2020-10-23 14:17:08 UTC
(In reply to Daniel Menelkir from comment #14)

No, I was looking for "game plugins" for kodi.
But now I think is better to have option to switch from kodi to retroarch and back.

Looks like PCSX2 will requires 2 ports:
https://github.com/PCSX2/pcsx2
https://github.com/coldscientist/libretro-pcsx2-launcher

I will try this, but don't know when.
Comment 16 Daniel Menelkir 2020-10-24 00:53:28 UTC
(In reply to rozhuk.im from comment #15)
Yes, but PCSX2 have a huge compatibility list compared to play.
Comment 17 commit-hook freebsd_committer 2020-11-18 11:33:25 UTC
A commit references this bug:

Author: lbartoletti
Date: Wed Nov 18 11:33:07 UTC 2020
New revision: 555636
URL: https://svnweb.freebsd.org/changeset/ports/555636

Log:
  [NEW PORT] games/libretro-play: Play! - PlayStation 2 Emulator

  Play! is a PlayStation 2 emulator for Windows, macOS, UNIX,
  Android & iOS platforms.

  WWW: https://purei.org/

  PR:		246060
  Submitted by:	rozhuk.im@gmail.com

Changes:
  head/games/Makefile
  head/games/libretro/Makefile
  head/games/libretro-play/
  head/games/libretro-play/Makefile
  head/games/libretro-play/distinfo
  head/games/libretro-play/files/
  head/games/libretro-play/files/patch-Source_CMakeLists.txt
  head/games/libretro-play/files/patch-Source_ui__libretro_CMakeLists.txt
  head/games/libretro-play/files/patch-deps_CodeGen_build__cmake_CMakeLists.txt
  head/games/libretro-play/files/patch-deps_Dependencies_cmake-modules_Header.cmake
  head/games/libretro-play/files/patch-deps_Dependencies_ghc__filesystem_CMakeLists.txt
  head/games/libretro-play/files/patch-deps_Framework_build__cmake_Framework__Common.cmake
  head/games/libretro-play/pkg-descr
Comment 18 Loïc Bartoletti freebsd_committer 2020-11-18 12:18:00 UTC
Committed, with minor changes. Thanks!

(sorry for the delay)